<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android">

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

     <uses-permission android:name="android.permission.VIBRATE" />

        <application
            android:allowBackup="true"
            android:icon="@mipmap/ic_launcher"
            android:roundIcon="@mipmap/ic_launcher_round"
            android:label="@string/app_name"
            android:supportsRtl="true"
            android:theme="@style/Theme.MyApplication">
            
                <!-- 启动页 Activity -->
            <activity
                android:name=".SplashActivity"
                android:exported="true"
                android:theme="@style/Theme.MyApp.Splash">

                <intent-filter>
                    <action android:name="android.intent.action.MAIN" />
                    <category android:name="android.intent.category.LAUNCHER" />
                </intent-filter>
            </activity>

            <!-- 输入法激活页（强烈建议增加） -->
            <activity
                android:name=".ImeGuideActivity"
                android:exported="true"/>
            
            <!-- 输入法体验页 -->
            <activity
                android:name=".GuideActivity"
                android:exported="true"/>

            <!-- 引导页 -->
            <activity
                android:name=".OnboardingActivity"
                android:exported="false"/>

            <!-- 主界面 -->
            <activity
                android:name=".MainActivity"
                android:exported="true">
            </activity>

            <!-- 输入法服务 -->
            <service
                android:name=".MyInputMethodService"
                android:label="@string/app_name"
                android:exported="false"
                android:permission="android.permission.BIND_INPUT_METHOD"
                android:foregroundServiceType="connectedDevice">
                <intent-filter>
                    <action android:name="android.view.InputMethod" />
                </intent-filter>
                <meta-data
                    android:name="android.view.im"
                    android:resource="@xml/method" />
            </service>
    </application>
</manifest>
